NX Open C++ Reference Guide
List of all members
NXOpen::Annotations::IntersectionSymbol Class Reference

Represents a intersection symbol
To create or edit an instance of this class, use NXOpen::Annotations::IntersectionSymbolBuilder

Created in NX6.0.0. More...

Inheritance diagram for NXOpen::Annotations::IntersectionSymbol:
NXOpen::Annotations::DraftingAid NXOpen::Annotations::Annotation NXOpen::DisplayableObject NXOpen::NXObject NXOpen::IFitTo NXOpen::TaggedObject NXOpen::INXObject NXOpen::INXObject

Additional Inherited Members

- Public Types inherited from NXOpen::DisplayableObject
enum  ObjectFont {
  ObjectFontSolid = 1, ObjectFontDashed, ObjectFontPhantom, ObjectFontCenterline,
  ObjectFontDotted, ObjectFontLongDashed, ObjectFontDottedDashed
}
 specifies the object font for objects such as lines
Created in NX3.0.0. More...
 
enum  ObjectWidth {
  ObjectWidthNormal, ObjectWidthThick, ObjectWidthThin, ObjectWidthOne = 5,
  ObjectWidthTwo, ObjectWidthThree, ObjectWidthFour, ObjectWidthFive,
  ObjectWidthSix, ObjectWidthSeven, ObjectWidthEight, ObjectWidthNine
}
 specifies object width for objects such as lines and text
Created in NX3.0.0. More...
 
- Public Member Functions inherited from NXOpen::Annotations::Annotation
NXOpen::Point3d AnnotationOrigin ()
 Returns the origin (location) of the annotation. More...
 
NXOpen::XformAnnotationPlane ()
 Returns the annotation plane. More...
 
NXOpen::Annotations::Annotation::AssociativeOriginData GetAssociativeOrigin (NXOpen::Point3d *origin)
 Gets data that specifies the origin's associativity. More...
 
NXOpen::Annotations::AssociativityGetAssociativity (int associativityIndex)
 Returns the associativity at specified index. More...
 
NXOpen::XformGetInferredAnnotationPlane (NXOpen::Annotations::PmiDefaultPlane jaDefaultPlane)
 Returns the inferred annotation plane. More...
 
NXOpen::Annotations::LetteringPreferencesGetLetteringPreferences ()
 Returns the lettering preferences for the annotation. More...
 
NXOpen::Annotations::LineAndArrowPreferencesGetLineAndArrowPreferences ()
 Returns the line and arrow preferences for the annotation. More...
 
NXOpen::Annotations::SymbolPreferencesGetSymbolPreferences ()
 Returns the symbol preferences for the annotation. More...
 
std::vector< NXOpen::View * > GetViews ()
 Returns the views that the PMI display instance object is displayed in NOTE: This method is only valid for PMI display instance objects. More...
 
bool HasAssociativeOrigin ()
 Returns a flag indicating whether the origin is associative
Created in NX3.0.0. More...
 
void InsertIntoStack (NXOpen::Annotations::Annotation *stack, NXOpen::Annotations::StackAlignmentPosition position)
 Inserts the annotation into a stack. More...
 
bool IsRetained ()
 Returns a flag indicating whether the annotation is retained
Created in NX3.0.0. More...
 
NXOpen::Annotations::LeaderOrientation LeaderOrientation ()
 Returns the leader orientation for the annotation. More...
 
int NumberOfAssociativities ()
 Returns the number of associativities for the annotation. More...
 
void SetAnnotationOrigin (const NXOpen::Point3d &origin)
 Sets the origin (location) of the annotation. More...
 
void SetAnnotationPlane (NXOpen::Xform *annotationPlane)
 Sets the annotation plane. More...
 
void SetAssociativeOrigin (const NXOpen::Annotations::Annotation::AssociativeOriginData &assocOrigin, const NXOpen::Point3d &origin)
 Associates the annotation's origin to the specified geometry. More...
 
void SetAssociativity (int associativityIndex, NXOpen::Annotations::Associativity *associativity)
 Sets the associativity at specified index.The index starts from 1, and is less than or equal to the return value from NXOpen::Annotations::Annotation::NumberOfAssociativities . More...
 
void SetLeaderOrientation (NXOpen::Annotations::LeaderOrientation leaderOrientation)
 Sets the leader orientation for the annotation. More...
 
void SetLetteringPreferences (NXOpen::Annotations::LetteringPreferences *letteringPrefs)
 Sets the lettering preferences for the annotation. More...
 
void SetLineAndArrowPreferences (NXOpen::Annotations::LineAndArrowPreferences *lineArrowPrefs)
 Sets the line and arrow preferences for the annotation. More...
 
void SetSymbolPreferences (NXOpen::Annotations::SymbolPreferences *symbolPrefs)
 Sets the symbol preferences for the annotation. More...
 
void SetViews (const std::vector< NXOpen::View * > &modelViews)
 Sets the views that the PMI display instance object is displayed in. More...
 

Detailed Description

Represents a intersection symbol
To create or edit an instance of this class, use NXOpen::Annotations::IntersectionSymbolBuilder

Created in NX6.0.0.



The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.